%define min_ver 0.0

%define major 0
%define libname %mklibname mspub %major
%define libdev %mklibname mspub -d

Name:    libmspub
Version: %{min_ver}.6
Release: %mkrel 3
Summary: A library providing ability to interpret and import Microsoft Publisher files

Group: System/Libraries
License: GPLv2+ or LGPLv2+
URL: http://www.freedesktop.org/wiki/Software/libmspub
Source: http://dev-www.libreoffice.org/src/%{name}-%{version}.tar.xz
BuildRequires: boost-devel
BuildRequires: doxygen
BuildRequires: libwpd-devel
BuildRequires: libwpg-devel
BuildRequires: zlib-devel

%description
Libmspub is library providing ability to interpret and import Microsoft
Publisher content into various applications. You can find it being used
in libreoffice.

%package -n %libname
Summary:    A library providing ability to interpret and import Microsoft Publisher files
Group:      System/Libraries

%description -n %libname
Libmspub is library providing ability to interpret and import Microsoft
Publisher content into various applications. You can find it being used
in libreoffice.

%package -n %{libdev}
Summary: Development files for %{name}
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Requires: pkgconfig

%description -n %{libdev}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation of %{name} API
Group:   Documentation
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%package tools
Summary: Tools to transform Microsoft Publisher files into other formats
Group:    Publishing 

%description tools
Tools to transform Microsoft Publisher files into other formats.
Currently supported: XHTML, raw.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --disable-static --disable-werror
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make


%install
%makeinstall_std
rm -f %{buildroot}/%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING.*
%{_libdir}/%{name}-0.0.so.%{major}*

%files -n %{libdev}
%{_includedir}/%{name}-%{min_ver}
%{_libdir}/%{name}-%{min_ver}.so
%{_libdir}/pkgconfig/%{name}-0.0.pc

%files doc
%doc COPYING.*
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/html

%files tools
%{_bindir}/pub2raw
%{_bindir}/pub2xhtml


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.0.6-3.mga4
+ Revision: 537320
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 fwang <fwang> 0.0.6-2.mga4
+ Revision: 486821
- rebuild for icu 52

* Sat Aug 03 2013 fwang <fwang> 0.0.6-1.mga4
+ Revision: 462837
- use configure2_5x
- new version 0.0.6

* Mon Jul 08 2013 fwang <fwang> 0.0.0-8.mga4
+ Revision: 451237
- rebuild for new boost

* Sat Jan 12 2013 fwang <fwang> 0.0.0-7.mga3
+ Revision: 357906
- fix build with latest automake

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 16 2012 malo <malo> 0.0.0-6.mga3
+ Revision: 307332
- update RPM group

* Thu Jul 05 2012 dmorgan <dmorgan> 0.0.0-5.mga3
+ Revision: 267805
- Remove unexisting epoch macro

* Wed Jul 04 2012 dmorgan <dmorgan> 0.0.0-4.mga3
+ Revision: 267767
- Add Epoch

* Wed Jul 04 2012 dmorgan <dmorgan> 0.0.0-3.mga3
+ Revision: 267757
- Rebuild for missing packages

* Wed Jul 04 2012 dmorgan <dmorgan> 0.0.0-2.mga3
+ Revision: 267743
- Fix provides in the devel package

* Wed Jul 04 2012 dmorgan <dmorgan> 0.0.0-1.mga3
+ Revision: 267731
- Fix groups
- imported package libmspub


* Thu Jun 07 2012 David Tardon <dtardon@redhat.com> 0.0.0-1
- initial import
